import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtQuick.Shapes

import "../../components"
import Artix.Gui
import Artix.Core

/**
 * @brief Делегат подарка в списке позиций
 */
PositionDelegate {
    height: (selected ? contentItem.implicitHeight : giftCommonContent.implicitHeight) + topPadding + bottomPadding
    contentItem: ColumnLayout {
        RowLayout {
            id: giftCommonContent
            BasicLabel {
                Layout.fillWidth: true
                Style.class: "giftDelegateName"
                text: object.name
                elide: Label.ElideRight
            }
            Item { Layout.preferredWidth: 12 }
            BasicLabel {
                Style.class: "giftDelegateQuant"
                text: object.quantity.toFixed(0)
            }
            Item { Layout.fillWidth: true }
            Image {
                Layout.preferredWidth: 24
                Layout.preferredHeight: 24
                source: Style.parameter("icon.position.gift")
                Component.onCompleted: mainWindow.scaleImage(this)
            }
        }
    }
}
